libmath-base85-perl_0.2+dfsg-1_all.deb


Advertisement

Description

libmath-base85-perl - Perl extension for base 85 numbers, as referenced by RFC 1924

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmath-base85-perl
Package version: 0.2+dfsg
Package release: 1
Package architecture: all
Package type: deb
Installed size: 55 B
Download size: 6.72 KB
Official Mirror: ftp.br.debian.org
RFC 1924 describes a compact, fixed-size representation of IPv6 addresses which uses a base 85 number system. Math::Base85 handles some of the uglier details of it. The base 85 numbers (from 0 to 84) are as follows: 0..9 A..Z a..z ! # $ % & ( ) * + - ; < = > ? @ ^ _ ` { | } ~ At the moment, there's not much in this module. But it should be sufficient for the purposes of RFC 1924. This module has a variable called $Math::Base85::base85_digits, which is a string containing the digits of the base 85 alphabet from lowest (0) to highest (~), in that order.

Alternatives

Requires

    Download

    Source package: libmath-base85-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmath-base85-perl deb package:
      # sudo apt-get install libmath-base85-perl

    Files

    • /usr/share/doc/libmath-base85-perl/changelog.Debian.gz
    • /usr/share/doc/libmath-base85-perl/changelog.gz
    • /usr/share/doc/libmath-base85-perl/copyright
    • /usr/share/lintian/overrides/libmath-base85-perl
    • /usr/share/man/man3/Math::Base85.3pm.gz
    • /usr/share/perl5/Math/Base85.pm

    Changelog

    2011-10-18 - gregor herrmann <gregoa@debian.org> libmath-base85-perl (0.2+dfsg-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * Add repacking framework to get rid of non-free rfc1924.txt. Thanks to Simon Josefsson for the bug report. (Closes: #645754) * Switch to source format 3.0 (quilt). * Don't install README anymore. * Add some missing pieces of information to debian/copyright. * Set Standards-Version to 3.9.2 (no changes). * Bump debhelper compatibility level to 8. * Add /me to Uploaders. * Add a lintian override to avoid a false warning about a duplicate word.

    2011-02-04 - TANIGUCHI Takaki <takaki@debian.org> libmath-base85-perl (0.2-1) unstable; urgency=low * Initial Release. (Closes: #611422)

    Advertisement
    Advertisement